
#declare Rahmen = 
lathe {
	cubic_spline 7,
	<.3,-.2>, <.4,0>,  <.55,.4>, <.6,.6>, <.55,.8>, <.4,1>, <.25,1.2>
}	

#declare Form = 
prism {
	cubic_spline
	0, // sweep the following shape from here ...
   	1, // ... up through here
    13, // the number of points making up the shape ...

   	< 0, -.2>, // point#1 (control point... not on curve)
    < 0,  0>, 
	< .05, .2>,
	<.5,  .3>,      
	<.7,  .3>, 
	<.95,.2>,
	< 1, 0>, 
	<.95,-.2>,
    < .7,  -.3>,    
	< .5,  -.3>,
	<.05,-.2>,
    < 0,  0>, // point#2  ... THIS POINT ...
	<0,  .2>  // point#6 (control point... not on curve)

	rotate 90*z
	rotate 90*y	
}


#declare schild =
union {
	// Buckel
	cylinder {<0,0,-.25>,<0,0,0> .10 rotate 12*x translate <0,.5,.62>} 
	difference {
		cylinder {<0,0,0>,<0,0,.06> .08}
		torus {.08 .02 rotate 90*x scale <1,1,3> translate .06*z}
		rotate 12*x translate <0,.5,.62> 

	}
	sphere {0 .06 scale <1,1,2> translate .06*z
		rotate 12*x translate <0,.5,.62> 
	}

	#declare ct=0
	#while (ct<360)
		sphere {0 .01 translate .091*y rotate ct*z translate .00*z
			rotate 12*x translate <0,.5,.62> 
			texture {pigment {Gray20}
				finish {metallic reflection .5}
			}
		}
	#declare ct=ct+30
	#end

	// oben und unten
	intersection {
		object {Rahmen scale <1.1, 1, 1.1>
		}	
		difference {
			union {
				cylinder {<0,0,0> <0,0,1> 1 scale <.5,.2,1> translate 1*y} 
				cylinder {<0,0,0> <0,0,1> 1 scale <.5,.17,1>} 
			}
			object { Form
				translate -.5*y scale <.8,.85,1> translate .5*y
			}

		}
		object {Form
			scale <1.05,1,1>
		}
		texture {
			pigment {rgb <216,66,32>/255}
			normal {dents 2 scale .006}
			finish {phong .3  }



		}
	}

	// Kreuz und Rand links/rechts
	intersection {
		object {Rahmen 
			scale <1.05, 1, 1.05>
		}	
		union {
			difference {
				object {Form
					translate -.5*y scale <.95,.95,1> translate .5*y
				}		
				object {Form
					translate -.5*y scale <.88,.85,1> translate .5*y
				}
			}
			box{<-1,-.05,0>,<1,.05,1> rotate 60*z translate .5*y}	
			box{<-1,-.05,0>,<1,.05,1> rotate -60*z translate .5*y}

			//cylinder {<-1,0,0>,<1,0,0>,.05 scale <1,1,2> rotate 60*z translate <0,.5,.55>}	
			//cylinder {<-1,0,0>,<1,0,0>,.05 scale <1,1,2> rotate -60*z translate <0,.5,.55>}


		}
		object {Form}
		texture {pigment {Gray10}
			normal {crackle .015 scale .01}
		 	finish {metallic reflection .75}
		}
	}

	// Schild
	intersection {
		object {Rahmen
		}
		object {Form
		}
	}

	scale <.8,1,.3>
	//rotate 20*y
}




#declare helm = 
union {
	// Halbkugel
	intersection {
		sphere {0,.2}
		box {<-1,0,-1> <1,1,1>}
	
	}
	intersection {
		torus {.2,.005 rotate 90*x scale <1,1,4>}
		box {<-0,0,-1> <1,-.1,1>}
		scale <1,.6,1>
		rotate 50*z	
	}
	intersection {
		torus {.2,.005 rotate 90*x scale <1,1,4>}
		box {<-1,0,-1> <1,1,1>}
		box {<-1,0,-1> <1,1,1> rotate 50*z}
	}

	// Nacken
	difference {
		intersection {
			box {<0,0,-.3> <-.23,-.4,.3>}
			torus {.3,.11}
		}
		torus {.3,.1}
		box {<.5,0,-.4> <-.5,-.5,.4> rotate -10*z translate -.1*y}
		cylinder {<0,0,-.4>, <0,0,.4>, .05 scale <1,2,1> rotate -20*z 
			translate <-.03,-.095,0>} 
	}
	// Leder
	intersection {
		difference {
			cone {<0,0,0> .23 <0,-.1,0> .26}
			cone {<0,.0001,0> .22 <0,-.1001,0> .25} translate .01*y
		}
		box {<-.08,-.2,-.3> <-.3,0,.3>}
		scale <.97,1,1.13> rotate -10*z translate -.1*y 
			pigment {rgb <216,66,32>/255}
	}
	// Visier
	difference {
		intersection {
			difference {
				cylinder {<0,0,0> <0,.2,0>, .21}
				cylinder {<0,0,0> <0,.2,0>, .20}
			}
			box {<-.4,-.1,-.4> <.4,.081,.4> rotate 10*z}
			union {
				cylinder {<0,0,-.4> <0,0,.4> .1 translate .1*x}
				box {<.4,-.1,-.4> <.1,.281,.4> }
			}
		}
		intersection {
			difference {
				cylinder {<0,.014,0> <0,.2,0>, .22}
				cylinder {<0,.014,0> <0,.2,0>, .207}
				texture {
					pigment {Grey}
					normal {bump_map {tga "adler.tga" //once 
					map_type 2 
					} bump_size 3
					scale .12 rotate 45*y scale <1,1,.5>}
					finish {metallic reflection .2}
				}
			}
			box {<-.4,-.1,-.4> <.4,.071,.4> rotate 10*z}
			union {
				cylinder {<0,0,-.4> <0,0,.4> .09 translate .1*x}
				box {<.4,-.1,-.4> <.1,.281,.4> }
			}
		}
	}
	// Visierhalterung
	difference {
		cylinder {<0,0,-.21> <0,0,.215> .04 translate .02*y}
		cylinder {<0,0,.21> <0,0,.22> .028 translate .02*y}
	}
	// Koteletten
	difference {
		union {
			box {<.06,0,.19> <-.03,-.1,.20>}
			box {<.06,0,-.19> <-.03,-.1,-.20>}			
		}
		cylinder {<0,0,-.22>, <0,0,.22> .04 scale .5*x translate <-.02,-.05,0>}
		cylinder {<0,0,-.22>, <0,0,.22> .04 scale <.5,1.5,1> translate <.05,-.05,0>}
		box {<.1,0,-.21> <-.1,-.1,.21> rotate -15*z translate -.08*y}

	}
	//Scharnier
	difference {
		cylinder {<-.012,0,0> <.028,0,0> .007} 
		cylinder {<-.002,0,0> <.002,0,0> .008}
		cylinder {<.008,0,0> <.012,0,0> .008}
		cylinder {<.018,0,0> <.022,0,0> .008}
		translate .0035*x
		rotate -15*z translate <0,-.08,.195> 
	}
	// Zacken
	difference {
		intersection {
			box {<.12,0,.19> <-.03,-.15,.20>}
			cylinder {<0,0,.18> <0,0,.21> .10  rotate 20*z 
				translate <.09,-.01,0> }	
		}
		cylinder {<0,0,.18> <0,0,.21> .06 scale 1.3*y rotate 20*z 
			translate <.09,-.04,0> }	
		cylinder {<0,0,.18> <0,0,.21> .06  
			translate <-.06,-.03,0> }
		scale <1,1.25,1>

		translate <-.0,0,-.195> 
		rotate -60*x 
		translate <.0,0,.195>
		rotate -15*z translate -.08*y

	}
	// Zacken
	difference {
		intersection {
			box {<.12,0,-.19> <-.03,-.15,-.20>}
			cylinder {<0,0,-.18> <0,0,-.21> .10  rotate 20*z 
				translate <.09,-.01,0> }	
		}
		cylinder {<0,0,-.18> <0,0,-.21> .06 scale 1.3*y rotate 20*z 
			translate <.09,-.04,0> }	
		cylinder {<0,0,-.18> <0,0,-.21> .06  
			translate <-.06,-.03,0> }
		scale <1,1.25,1>

		translate <-.0,0,.195> 
		rotate 10*x 
		translate <.0,0,-.195>
		rotate -15*z translate -.08*y

	}
	// Federhalter
	difference {
		box {<-.1,.1,-.03> <.17,.25,.03> rotate 10*z}
		cylinder {<0,0,-.1> <0,0,.1> .18 translate <.25,.15,0>}
	
		box {<-.11,.1,.028> <.17,.23,.04> rotate 8*z}
		box {<-.11,.1,-.028> <.17,.23,-.04> rotate 8*z}
		box {<.16,.1,-.04> <.17,.23,-.04> rotate 8*z}
			
		intersection {
			box {<-.1,.1,-.03> <.17,.23,.03> rotate 8*z}
			cylinder {<0,0,-.1> <0,0,.1> .183 translate <.25,.15,0>}
		}
		translate .04*x
	}

	object {
		federn translate <0,.25,0> 
		rotate 10*z translate .04*x pigment {Red}
		finish {ambient .3}
	}

	scale <1,1,.8>
	//translate .5*y
	//rotate -45*y
}


#declare fahne = 
intersection {
	bicubic_patch {
    	type 1
    flatness .01
    u_steps 3
    v_steps 3
    <1.1,.3,0>,  <.7,.47,-.4>,   <.4,.73,.4>,   <0,.5,0>,
    <1.07,.2,0>,  <.7,.4,-.4>,   <.4,.6,.4>,   <.05,.3,.05>,
    <1.03,.13,0>,  <.7,.34,-.4>,  <.3,.4,.4>,  <.05,.2,.05>,
    <1,.1,0>, <.7,.3,-.4>,  <.3,.3,.4>,  <0,0,0>
  }

	//pigment { image_map {tga "fahne.tga"}}
}



/*
#declare fahne = 
intersection {
	bicubic_patch {
    	type 1
    flatness .01
    u_steps 3
    v_steps 3
    <1,1,0>,  <.67,1,0>,   <.33,1,0>,   <0,1,0>,
    <1,.67,0>,  <.7,.67,-.4>,   <.6,.67,.4>,   <.0,.67,0>,
    <1,.33,0>,  <.7,.33,-.4>,  <.3,.33,.4>,  <.0,.33,0>,
    <1,0,.1>, <.67,0,-.1>,  <.33,0,.1>,  <0,0,-.10>
  }

	pigment { image_map {tga "fahne.tga"}}
}

*/

/*
#declare fahne =
intersection {

prism {
    linear_sweep
    linear_spline
    0, 1,
    4,
    <-1, 0>, <1, 0>, <0, 5>, <-1, 0>
    pigment {Red}
  }

}

*/

